Summary: PCI Utilities
Name: pciutils
Version: 3.2.0
Release: r0.0
License: GPLv2+
Group: console/utils
Packager: Wind River <info@windriver.com>
URL: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: zlib
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: kmod
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libpci.so.3()(64bit)
Requires: libresolv.so.2()(64bit)
Requires: libpci.so.3(LIBPCI_3.2)(64bit)
Requires: libc.so.6()(64bit)
Requires: libz1(x86_64) >= 1.2.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libkmod.so.2()(64bit)
Requires: libz.so.1()(64bit)
Requires: pciutils-ids
Requires: libpci.so.3(LIBPCI_3.1)(64bit)
Requires: libkmod.so.2(LIBKMOD_5)(64bit)
Requires: libpci.so.3(LIBPCI_3.0)(64bit)
Requires: libc6 >= 2.18+4.8
Requires: /bin/sh
Requires: libkmod2(x86_64) >= 14+git0+3b38c7fcb5
Requires: libpci3(x86_64) >= 3.2.0

%description
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%package -n pciutils-ids
Summary: PCI Utilities
Group: console/utils

%description -n pciutils-ids
The list of PCI IDs for pciutils

%package -n libpci3
Summary: PCI Utilities
Group: console/utils
Requires: rtld(GNU_HASH)
Requires: libz1(x86_64) >= 1.2.8
Requires: libc6 >= 2.18+4.8
Requires(post): rtld(GNU_HASH)
Requires(post): libz1(x86_64) >= 1.2.8
Requires(post): libc6 >= 2.18+4.8
Provides: libpci.so.3(LIBPCI_3.2)(64bit)
Provides: libpci.so.3()(64bit)
Provides: libpci.so.3(LIBPCI_3.1)(64bit)
Provides: libpci3(x86_64) = 3.2.0-r0.0
Provides: libpci.so.3(LIBPCI_3.0)(64bit)

%description -n libpci3
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%package -n libpci-dev
Summary: PCI Utilities
Group: console/utils
Requires: libpci3(x86_64)
Suggests: libz-dev(x86_64)
Suggests: libc6-dev(x86_64)
Suggests: kmod-dev(x86_64)
Provides: libpci-dev(x86_64) = 3.2.0-r0.0

%description -n libpci-dev
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%package -n libpci-dbg
Summary: PCI Utilities
Group: console/utils
Suggests: libz-dbg(x86_64)
Suggests: libc6-dbg(x86_64)
Suggests: libkmod-dbg
Provides: libpci-dbg(x86_64) = 3.2.0-r0.0

%description -n libpci-dbg
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%package -n pciutils-dbg
Summary: PCI Utilities - Debugging files
Group: devel
Suggests: libpci-dbg(x86_64)
Suggests: libz-dbg(x86_64)
Suggests: libc6-dbg(x86_64)
Suggests: libkmod-dbg
Recommends: pciutils = 3.2.0-r0.0

%description -n pciutils-dbg
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n pciutils-staticdev
Summary: PCI Utilities - Development files (Static Libraries)
Group: devel
Requires: pciutils-dev = 3.2.0-r0.0

%description -n pciutils-staticdev
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains static libraries for software development.

%package -n pciutils-dev
Summary: PCI Utilities - Development files
Group: devel
Requires: pciutils = 3.2.0-r0.0
Suggests: libc6-dev(x86_64)
Suggests: libz-dev(x86_64)
Suggests: pciutils-ids-dev
Suggests: libpci-dev(x86_64)
Suggests: libkmod-dev
Suggests: kmod-dev(x86_64)

%description -n pciutils-dev
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n pciutils-doc
Summary: PCI Utilities - Documentation files
Group: doc

%description -n pciutils-doc
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.  This
package contains documentation.

%package -n pciutils-locale
Summary: PCI Utilities
Group: console/utils

%description -n pciutils-locale
The PCI Utilities package contains a library for portable access to PCI bus
configuration space and several utilities based on this library.

%post -n libpci3
# libpci3 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/bin"
"/usr/sbin/setpci"
"/usr/sbin/update-pciids"
"/usr/sbin/lspci"
"/usr/bin/lspci"

%files -n pciutils-ids
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
"/usr/share/pci.ids.gz"

%files -n libpci3
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libpci.so.3"
"/usr/lib64/libpci.so.3.2.0"

%files -n libpci-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/pci"
"/usr/include/pci/config.h"
"/usr/include/pci/pci.h"
"/usr/include/pci/types.h"
"/usr/include/pci/header.h"
"/usr/include/pci/config-64.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libpci.so"
"/usr/lib64/pkgconfig/libpci.pc"

%files -n libpci-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libpci.so.3.2.0"

%files -n pciutils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/setpci"
"/usr/sbin/.debug/lspci"
%dir "/usr/src/debug"
%dir "/usr/src/debug/pciutils"
%dir "/usr/src/debug/pciutils/3.2.0-r0"
%dir "/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0"
%dir "/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lspci.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/ls-caps.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/ls-tree.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/ls-ecaps.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/pciutils.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/ls-map.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/ls-kernel.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/setpci.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lspci.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/ls-vpd.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/common.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/caps.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/internal.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/proc.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/sysdep.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/names-parse.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/sysfs.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/pci.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/types.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/generic.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/i386-ports.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/access.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/names.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/params.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/names-cache.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/filter.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/init.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/dump.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/i386-io-linux.h"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/names-net.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/names-hash.c"
"/usr/src/debug/pciutils/3.2.0-r0/pciutils-3.2.0/lib/names.h"

%files -n pciutils-dev
%defattr(-,-,-,-)

%files -n pciutils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man7"
"/usr/share/man/man8/lspci.8"
"/usr/share/man/man8/setpci.8"
"/usr/share/man/man8/update-pciids.8"
"/usr/share/man/man7/pcilib.7"

